Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.criterion
Class IdentifierProjection

    java.lang.Object
      org.hibernate.criterion.SimpleProjection
          org.hibernate.criterion.IdentifierProjection

All Implemented Interfaces:
  Serializable, Projection

    public class IdentifierProjection

extends SimpleProjection

A property value, or grouped property value

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`protected` | `IdentifierProjection()`
`protected` | `IdentifierProjection(boolean grouped)`

Method Summary
`Type[]` | `getTypes(Criteria criteria, CriteriaQuery criteriaQuery)` Return types returned by the rendered SQL fragment
`boolean` | `isGrouped()` Does this projection specify grouping attributes?
`String` | `toGroupSqlString(Criteria criteria, CriteriaQuery criteriaQuery)` Render the SQL fragment to be used in the group by clause
`String` | `toSqlString(Criteria criteria, int position, CriteriaQuery criteriaQuery)` Render the SQL fragment
`String` | `toString()`

Methods inherited from class org.hibernate.criterion.SimpleProjection
`as, getAliases, getColumnAliases, getColumnAliases, getTypes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IdentifierProjection

    protected IdentifierProjection(boolean grouped)

### IdentifierProjection

    protected IdentifierProjection()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getTypes

    public Type[] getTypes(Criteria criteria,
                           CriteriaQuery criteriaQuery)
                    throws HibernateException

  Description copied from interface: `Projection`
  Return types returned by the rendered SQL fragment

  Returns:
    Type[]
  Throws:
    `HibernateException`

### toSqlString

    public String toSqlString(Criteria criteria,
                              int position,
                              CriteriaQuery criteriaQuery)
                       throws HibernateException

  Description copied from interface: `Projection`
  Render the SQL fragment

  Returns:
    String
  Throws:
    `HibernateException`

### isGrouped

    public boolean isGrouped()

  Description copied from interface: `Projection`
  Does this projection specify grouping attributes?

  Specified by:
    `isGrouped` in interface `Projection`
  Overrides:
    `isGrouped` in class `SimpleProjection`

### toGroupSqlString

    public String toGroupSqlString(Criteria criteria,
                                   CriteriaQuery criteriaQuery)
                            throws HibernateException

  Description copied from interface: `Projection`
  Render the SQL fragment to be used in the group by clause

  Specified by:
    `toGroupSqlString` in interface `Projection`
  Overrides:
    `toGroupSqlString` in class `SimpleProjection`
  Returns:
    String
  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD